> For the complete documentation index, see [llms.txt](https://docs.bloom.garden/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.bloom.garden/tokenized-rwa/tbys.md).

# TBYs

### Overview

Term Bound Yield tokens or `TBY`s for short are receipt tokens minted to lenders within the `BloomPool` whose orders have been matched to a borrower and subsequently processed by market makers.

### Mint Process

The minting process occurs once market makers fill a lender's matched order.

`TBY`s all share the same deployment address and are differentiated by token Ids.  The token Id will correspond to the start time and end time of the `TBY`s yield generating window and will start at `Id=0` and increment up with every unique maturity period.&#x20;

### Yield&#x20;

`TBY`'s rate is determined by the given `rwaPriceFeed`, which is a Chainlink Price Feed for the `rwa` asset, and the borrower's spread. To get the value of a `TBY` simply call `BloomPool::getRate` and pass in the token `id`. Once the `TBY` is fully mature all yield accrual stops. <br>

{% hint style="info" %}
The spread is only taken on the yield generated from the `rwa`. In the event that the rate is less than or equal to `1e18`, no spread will be taken.
{% endhint %}

### Maturity

All `TBY`s have a `180 day` maturity from their `start` time to their `end` time.

### Redemption Process&#x20;

Once the maturity date has been reached and the market maker has completed their swap of `bIb01` to `USDC` within the `BloomPool`, lenders are free to redeem their `TBY`s for their principal and yield by calling `BloomPool::redeemLender` and passing their token `id` and the `amount` of `TBY`s they are redeeming.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.bloom.garden/tokenized-rwa/tbys.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
